Getting error upon running grunt

216
13
Jump to solution
05-14-2018 03:13 AM
MiriEshel
New Contributor III

Hi,

I get this error when I do grunt:

 Error: File to import not found or unreadable: calcite/colors-default.      

on line 2 of src/app/components/crowdsource/styles/bootstrap/_crowdsource-calcite-bootstrap.scss

from line 2 of src/app/components/crowdsource/builder/CrowdsourceApp-builder-calcite.scss  @import "calcite/colors-default";

What should I do?

Thanks,

Miri

Reply
0 Kudos
1 Solution

Accepted Solutions
StephenSylvia
Esri Regular Contributor

You'll need to install a different version of Node. The app only support Node v6 or v7.

View solution in original post

Reply
0 Kudos
13 Replies
StephenSylvia
Esri Regular Contributor

Did you run the full setup instructions: GitHub - Esri/storymap-crowdsource: The Story Map Crowdsource℠ app enables you to publish and manage..., making sure to install all the dependencies from node and bower? Also, make sure you are using a Node v6 or v7.

MiriEshel
New Contributor III

Stephen,

Thanks. I think I installed all the dependencies from node and bower. How can I be sure? I use Node v8.

Thanks,

Miri

Reply
0 Kudos
StephenSylvia
Esri Regular Contributor

You'll need to install a different version of Node. The app only support Node v6 or v7.

View solution in original post

Reply
0 Kudos
JulieKottamala
New Contributor III

Hello,

Since this storymap is moved to matured support, we want to publish it from our server. However, I get the same error when I try to run grunt. I have node version 6.10 . What else should I check to get around this error? please help!!

Reply
0 Kudos
StephenSylvia
Esri Regular Contributor

What error are you receiving?

Reply
0 Kudos
JulieKottamala
New Contributor III

 Error: File to import not found or unreadable: calcite/colors-default.      

on line 2 of src/app/components/crowdsource/styles/bootstrap/_crowdsource-calcite-bootstrap.scss

from line 2 of src/app/components/crowdsource/builder/CrowdsourceApp-builder-calcite.scss  @import "calcite/colors-default";

Reply
0 Kudos
StephenSylvia
Esri Regular Contributor

It looks like you haven't installed all the dependencies. Make sure you follow the full setup guide before running the grunt task including "npm install" and "bower install": GitHub - Esri/storymap-crowdsource: DEPRECATED: The Story Map Crowdsource℠ app enables you to publis... .

Reply
0 Kudos
JulieKottamala
New Contributor III

 

Bower install done too

 

 This is what I see when I run grunt

 

Am I missing something? Thanks for looking into this.

Reply
0 Kudos
StephenSylvia
Esri Regular Contributor

It looks like you need to install a git client on your computer: Set up git - User Documentation.

Reply
0 Kudos